package cn.com.countrygarden.bi.main.service.performance;


import cn.com.countrygarden.bi.main.core.Service;
import cn.com.countrygarden.bi.main.model.performance.PerformanceEnv;
import cn.com.countrygarden.bi.main.model.performance.PerformanceScore;

import java.util.List;

public interface PerformanceEnvService extends Service<PerformanceEnv> {
    public Object selectScoreList(String element, String userCode);
    public PerformanceEnv getByHierarchyId(PerformanceEnv env);
    public List<PerformanceEnv> selectPerformanceOrgan();
    public List<PerformanceEnv> selectPerformanceCompany();
    public int insertEnvList(List<PerformanceEnv> envList);
    public void updateEnvList(List<PerformanceEnv> envList);
    public List<String> selectNotInName(PerformanceScore performanceScore);
    public List<String> selectNotInNameCompany(PerformanceScore performanceScore);
    public int insertSelective(PerformanceEnv record);
    public int updateByPrimaryKeySelective(PerformanceEnv record);
    public List<PerformanceEnv> selectAll();

    /**
     * 区域我的考核数据查询
     */
    public Object selectEnvScoreInfo(String[] hierarchyIdList, Integer year, String userCode);

    //查询缺少的月度区域
    public List<String> selectMonthlyNotInNameRegion(int year,int month,long elementId);
}
